function setWeather () {
    var url="http://apple.accuweather.com/adcbin/apple/Apple_Weather_Data.asp?zipcode=ASI|JP|JA024|SENDAI|&metric=1";
	var httpRequest = new XMLHttpRequest();

	httpRequest.open("GET", url);
	httpRequest.overrideMimeType("text/xml");
    httpRequest.setRequestHeader('Cache-Control', 'no-cache'); 
	httpRequest.send(null); 
	httpRequest.onload = function() {xml_responded(httpRequest);}
}

function findChild (element, nodeName){
	var child;
	
	for (child = element.firstChild; child != null; child = child.nextSibling){
		if (child.nodeName == nodeName) return child;
	}
	
	return null;
}

function xml_responded (request) {
    var current = findChild(findChild(request.responseXML, "adc_Database"), "CurrentConditions");

    var city = findChild(current, "City").textContent;
    city = city.replace(/^\s*/, "").replace(/\s*$/, "");
    var temp = findChild(current, "Temperature").textContent;
    temp = temp.replace(/^\s*/, "").replace(/\s*$/, "");
    var text = findChild(current, "WeatherText").textContent;
    text = text.replace(/^\s*/, "").replace(/\s*$/, "");
    document.getElementById("city").innerText = city;
    document.getElementById("text").innerText = text;
    document.getElementById("temp").innerText = temp + "℃";
}
